package flocks

import (
	// m "gitlab.com/mbugroup/lti-api.git/internal/middleware"
	controller "gitlab.com/mbugroup/lti-api.git/internal/modules/master/flocks/controllers"
	flock "gitlab.com/mbugroup/lti-api.git/internal/modules/master/flocks/services"
	user "gitlab.com/mbugroup/lti-api.git/internal/modules/users/services"

	"github.com/gofiber/fiber/v2"
)

func FlockRoutes(v1 fiber.Router, u user.UserService, s flock.FlockService) {
	ctrl := controller.NewFlockController(s)

	route := v1.Group("/flocks")

	// route.Get("/", m.Auth(u), ctrl.GetAll)
	// route.Post("/", m.Auth(u), ctrl.CreateOne)
	// route.Get("/:id", m.Auth(u), ctrl.GetOne)
	// route.Patch("/:id", m.Auth(u), ctrl.UpdateOne)
	// route.Delete("/:id", m.Auth(u), ctrl.DeleteOne)

	route.Get("/", ctrl.GetAll)
	route.Post("/", ctrl.CreateOne)
	route.Get("/:id", ctrl.GetOne)
	route.Patch("/:id", ctrl.UpdateOne)
	route.Delete("/:id", ctrl.DeleteOne)
}
